Go Down

Topic: shiftmatrixPWM compile errors (Read 1 time) previous topic - next topic

daveydav27

I am trying to figure out what the errors are that I am getting from the shiftmatrixPWM library. I downloaded it from here http://arduino.cc/forum/index.php/topic,66988.msg536032.html#msg536032 And I am getting a ton of errors. here are some of the the errors i'm getting
and i'm not sure if its something that I am not doing, Or something I am missing in the download.


C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp: In destructor 'CShiftMatrixPWM::~CShiftMatrixPWM()':
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:44: error: 'free' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp: In member function 'bool CShiftMatrixPWM::IsValidPin(int, int)':
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:50: error: 'Serial' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:53: error: 'DEC' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:56: error: 'delay' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:60: error: 'Serial' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:66: error: 'delay' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp: In member function 'void CShiftMatrixPWM::OneByOne_core(int)':
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:135: error: 'delay' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:139: error: 'delay' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp: In member function 'void CShiftMatrixPWM::SetMatrixSize(int, int)':
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:146: error: 'cli' was not declared in this scope
C:\arduino\arduino-1.0.1\libraries\ShiftMatrixPWM\CShiftMatrixPWM.cpp:157: error: 'realloc' was not declared in this scope


johnwasser

That seems to be a "Does anyone want to beta-test the library" subject.  You might want to get the latest library via http://www.elcojacobs.com/shiftpwm/ rather than trying to get a beta-test version working.
Send Bitcoin tips to: 1L3CTDoTgrXNA5WyF77uWqt4gUdye9mezN
Send Litecoin tips to : LVtpaq6JgJAZwvnVq3ftVeHafWkcpmuR1e

daveydav27

I apologize, I did not realize that the shiftPWM was the same thing as shiftmatrixPWM. I thought they were two differant things.

milamber

shiftmatrixPWM and shiftPWM are similar but they do different things.

shiftPWM controls a daisy chain of ShiftRegisters(SR's) to allow you to use software PWM on their outputs.
shiftmatrixPWM controls two chains of SR's. 1 set for vertical and 1 set for horizontal in a Matrix configuration. It handles all the row shifting and allows PWM on all LEDs in the matrix.

As far as I am aware ElcoJacobs is still working on the Matrix version and he hasn't put it on the site yet. Only place you can get it is from the forum posted linked by OP.

I have used both but in the 0023 IDE. It seems you are using a newer IDE and I am not sure if this has been tested. I am assuming you are trying to compile the Example in the library?

I would close the IDE, remove the library, re download the library and extract it again to your library folder. Just to be sure there are no errors and then trying to compile the example sketch.

daveydav27


shiftmatrixPWM and shiftPWM are similar but they do different things.

shiftPWM controls a daisy chain of ShiftRegisters(SR's) to allow you to use software PWM on their outputs.
shiftmatrixPWM controls two chains of SR's. 1 set for vertical and 1 set for horizontal in a Matrix configuration. It handles all the row shifting and allows PWM on all LEDs in the matrix.

As far as I am aware ElcoJacobs is still working on the Matrix version and he hasn't put it on the site yet. Only place you can get it is from the forum posted linked by OP.

I have used both but in the 0023 IDE. It seems you are using a newer IDE and I am not sure if this has been tested. I am assuming you are trying to compile the Example in the library?

I would close the IDE, remove the library, re download the library and extract it again to your library folder. Just to be sure there are no errors and then trying to compile the example sketch.


You were correct. I downloaded the 0023 arduino IDE and and it is working perfectly. I guess it just has not been made to run on the 1.0.1 IDE, I can take a look and see what needs to be changed to make it work. It would be a shame to see this go by the wayside, It is a wonderful library and I know there has been a lot of hard work put into writing it. Kudos to Elcojacobs for all his hard work and knowledge that he shares with us newbies.

Go Up